scriptname=`basename $0`
if [ $# -lt 2 ]; then
echo "Usage: $scriptname srcPath destPath"
exit
fi

srcPath=$1
destPath=$2

if [ ! -e $srcPath ]; then
echo "$scriptname: $srcPath: No such file or directory"
exit
fi

# remove possible trailing slash from $srcPath
srcPath=${srcPath%/}

# set $srcType to "file" or "folder" as appropriate
if [ -d $srcPath ]; then
if [ "${srcPath##*.}" == "app" ]; then
srcType="file"
else
srcType="folder"
fi
else
srcType="file"
fi

if [ ! -d $destPath ]; then
echo "$scriptname: $destPath: No such directory"
exit
fi

case $srcPath in
/*) fullSrcPath=$srcPath ;;
~*) fullSrcPath=$srcPath ;;
*) fullSrcPath=`pwd`/$srcPath ;;
esac

case $destPath in
/*) fullDestPath=$destPath ;;
~*) fullDestPath=$destPath ;;
*) fullDestPath=`pwd`/$destPath ;;
esac

/usr/bin/osascript > /dev/null <<EOT
tell application "Finder"
set macSrcPath to POSIX file "$fullSrcPath" as text
set macDestPath to POSIX file "$fullDestPath" as text
make new alias file to $srcType macSrcPath at folder macDestPath
end tell
EOT